FROM frolvlad/alpine-java:jdk8-slim
ENV LANG en_US.utf8

RUN mkdir -p /data/cert

EXPOSE 8801

ADD ./target/groupon-api.jar ./app.jar

RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime

RUN echo 'Asia/Shanghai' >/etc/timezone

ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-Dspring.profiles.active=test","-Dfile.encoding=UTF-8","-jar","/app.jar"]
